//+
Point(1) = {0, 0, 0, .2};
//+
Point(2) = {2, 0, 0, .2};
//+
Point(3) = {2, 2, 0, .2};
//+
Point(4) = {0, 2, 0, .2};
//+
//+
Point(5) = {0.5, 2, 0, .2};
//+
Point(6) = {1.5, 2, 0, .2};
//+
Point(7) = {.5, 10, 0, .2};
//+
Point(8) = {1.5, 10, 0, .2};
//+
Point(9) = {0, 10, 0, .2};
//+
Point(10) = {2, 10, 0, .2};
//+
Point(11) = {2, 12, 0, .2};
//+
Point(12) = {0, 12, 0, .2};
//+
Line(1) = {1, 4};
//+
Line(2) = {2, 3};
//+
Line(3) = {6, 8};
//+
Line(4) = {5, 7};
//+
Line(5) = {10, 11};
//+
Line(6) = {9, 12};
//+
Line(7) = {1, 2};
//+
Line(8) = {4, 5};
//+
Line(9) = {6, 3};
//+
Line(10) = {9, 7};
//+
Line(11) = {8, 10};
//+
Line(12) = {12, 11};
//+
Curve Loop(1) = {1, 8, 4, -10, 6, 12, -5, -11, -3, 9, -2, -7};
//+
Plane Surface(1) = {1};
//+
//+
Extrude {0, 0, .5} {
  Surface{1}; 
}

//+
SetFactory("OpenCASCADE");
Sphere(2) = {1, 6, 0, 12, -Pi/2, Pi/2, 2*Pi};
//+
BooleanFragments{ Volume{2}; Delete; }{ Volume{1}; Delete; }
//+
Coherence;
//+
Physical Volume("v1", 76) = {1};
//+
Physical Volume("air", 77) = {2};
//+
Physical Surface("infinite", 78) = {75};
//+
Physical Surface("bottom", 79) = {73};
//+
Coherence;
//+
Transfinite Curve {70} = 72 Using Progression 1;
//+
Physical Surface("top", 80) = {49};
